<?php
class tx_mageconnect_cache
{
	protected $cacheInstance;
	
	
	function tx_mageconnect_cache() 
	{
		$this->initCachingFramework();
	}

	/**
	 * initCache
	 * Initialize the caching instance
	 */
	function initCachingFramework()
	{
 		t3lib_cache::initializeCachingFramework();
		$this->cacheInstance = $GLOBALS['typo3CacheManager'];
        try {
            $this->cacheInstance = $GLOBALS['typo3CacheManager']->getCache('tx_mageconnect_cache');
        } catch (t3lib_cache_exception_NoSuchCache $e) {
            $this->cacheInstance = $GLOBALS['typo3CacheFactory']->create(
                'tx_mageconnect_cache',
                $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['tx_mageconnect_cache']['frontend'],
                $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['tx_mageconnect_cache']['backend'],
                $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['tx_mageconnect_cache']['options']
            );
        }
	}
	
	/**
	 * set
	 * Set caching data
	 * 
	 * @param 	string	Identifier
	 * @param	array	Value
	 * @param	array	Tags
	 * @param	int		Cache Lifetime
	 * @return void
	 */
	function set($identifier, $value, $tags = array(), $lifetime = 3600)
	{
		$this->cacheInstance->set($identifier, serialize($value), $tags, $lifetime);
	}
	
	/**
	 * get
	 * Get caching data
	 * 
	 * @param 	string	Identifier
	 * @return	string|array
	 */
	function get($identifier)
	{
		return unserialize($this->cacheInstance->get($identifier));
	}
}



if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_cache.php']) {
	include_once ($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_cache.php']);
}