<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2011 Bastian Zagar (magedeveloper.de) <kontakt@magedeveloper.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 */
require_once(PATH_tslib.'class.tslib_pibase.php');
require_once(t3lib_extMgm::extPath('mageconnect') . 'lib/class.tx_mageconnect_helper.php');

/**
 * Plugin 'MageConnect Forgot Passwort Form' for the 'mageconnect' extension.
 *
 * @author	Bastian Zagar (magedeveloper.de) <kontakt@magedeveloper.de>
 * @package	TYPO3
 * @subpackage tx_mageconnect
 */
class tx_mageconnect_pi3 extends tslib_pibase {
	
	var $prefixId      = 'tx_mageconnect_pi3';		// Same as class name
	var $scriptRelPath = 'pi3/class.tx_mageconnect_pi3.php';	// Path to this script relative to the extension dir.
	var $extKey        = 'mageconnect';	// The extension key.
	//CACHING var $pi_checkCHash = true;
	
	var $templateHtml;
	
	var $_helper;
	var $conf;
	
	var $_debugData = array();
	
	/**
	 * __construct
	 * Constructor
	 */
	function __construct()
	{
		parent::__construct();
		$this->_helper = t3lib_div::makeInstance('tx_mageconnect_helper'); 
	}
	

	
	/**
	 * _getForgotPasswordForm
	 * Displays the forgot password form from the
	 * template
	 * 
	 * @return string
	 */
	function _getForgotPasswordForm()
	{
		// Load Template File
		$this->templateHtml = $this->cObj->fileResource( $this->_getConfig('templateForgotPassword') );

		// Get frontend login marker
		$forgotPassword = $this->cObj->getSubpart($this->templateHtml, '###FORGOT_PASSWORD_FORM###');
		$markers['###PAGE_URL###'] = $this->pi_getPageLink($GLOBALS['TSFE']->id);
		
		// Labels
		$markers['###LABEL_EMAIL###'] = $this->pi_getLL('template_label_email');
		$markers['###LABEL_SUBMIT###'] = $this->pi_getLL('template_label_submit');
		
		return $this->cObj->substituteMarkerArrayCached($forgotPassword, $markers);
	}
	
	/**
	 * _getConfig
	 * Return config data from a given
	 * key
	 * 
	 * @param string $key
	 * @return string
	 */
	function _getConfig($key)
	{
		return $this->conf[$key];
	}
	
	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
	function main($content, $conf) 
	{
		$this->pi_initPIflexForm();    // Initialize the FlexForms array 
		
		$this->conf = $conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
		// DISABLE CACHING
		$this->pi_USER_INT_obj = 1;
		
		$content = $this->_getForgotPasswordForm();
		return $this->pi_wrapInBaseClass($content);
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/pi3/class.tx_mageconnect_pi3.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/pi3/class.tx_mageconnect_pi3.php']);
}


?>