<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$l10n_mode_image = ($confArr['l10n_mode_imageExclude'] ? 'exclude' : 'mergeIfNotBlank');

$TCA['tx_mageconnect_products'] = array (
	'ctrl' => $TCA['tx_mageconnect_products']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,starttime,endtime,product_id,sku,name,short_description,description,price,special_price,stock_qty,images,attributes'
	),
	'feInterface' => $TCA['tx_mageconnect_products']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'starttime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'default'  => '0',
				'checkbox' => '0'
			)
		),
		'endtime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'checkbox' => '0',
				'default'  => '0',
				'range'    => array (
					'upper' => mktime(3, 14, 7, 1, 19, 2038),
					'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
				)
			)
		),
		'product_id' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_product_id',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '1000',
					'lower' => '10'
				),
				'default' => 0
			)
		),
		'store_view' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_store_view',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '90',	
				'eval' => 'required,trim',
			)
		),
		'sku' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_sku',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '90',	
				'eval' => 'required,trim',
			)
		),
		'name' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_name',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '254',	
				'eval' => 'required,trim',
			)
		),
		'short_description' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_short_description',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '5',
				'wizards' => array(
					'_PADDING' => 2,
					'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					),
				),
			)
		),
		'description' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_description',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '5',
				'wizards' => array(
					'_PADDING' => 2,
					'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					),
				),
			)
		),
		'price' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_price',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '20',	
				'eval' => 'required,trim',
			)
		),
		'special_price' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_special_price',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '20',	
				'eval' => 'trim',
			)
		),
		'stock_qty' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_stock_qty',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'image' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.images',
			'config' => Array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
				'max_size' => '10000',
				'uploadfolder' => 'uploads/tx_mageconnect',
				'show_thumbs' => 1,
				'size' => 1,
				'autoSizeMax' => 1,
				'maxitems' => 1,
				'minitems' => '0'
			)
		),
		'attributes' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mageconnect/locallang_db.xml:tx_mageconnect_products_attributes',		
			'config' => array (
				'type' => 'none',
				'cols' => '30',	
				'rows' => '5',
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'hidden;;1;;1-1-1, product_id, sku, name, short_description;;;richtext[]:rte_transform[mode=ts], description;;;richtext[]:rte_transform[mode=ts], price, special_price, stock_qty, image, attributes')
	),
	'palettes' => array (
		'1' => array('showitem' => 'starttime, endtime')
	)
);
?>